Subject: Re: [bitcoin-dev] [Lightning-dev] Removing the Dust Limit

From: Jeremy <[email-masked]>
Date: Mon, 9 Aug 2021 22:04:07 -0700

You might be interested in https://eprint.iacr.org/2017/1066.pdf which
claims that you can make CT computationally hiding and binding, see section
4.6.

with respect to utreexo, you might review
https://github.com/mit-dci/utreexo/discussions/249?sort=new which discusses
tradeoffs between different accumulator designs. With a swap tree, old
things that never move more or less naturally "fall leftward", although
there are reasons to prefer alternative designs.